/* COM.H */
/* This file lists the messages suported bu individual tasks */


#ifndef __com_h
#define __com_h


#define ANY   (NR_PROCS+100)    /* receive(ANY, buf) accepts from any source */
#define HARDWARE (-1)		/* used as source on interrupt-generated msgs */
/* Task numbers, function codes and reply codes. */

#define IDLE		  0    /* used when there is nothing to do */ 

#define CLOCK              1    /* clock class */
#       define SET_ALARM   1    /* fcn code to CLOCK, set up alarm */
#       define CLOCK_TICK  2    /* fcn code for clock tick */ 
#       define GET_TIME    3    /* fcn code to CLOCK, get real time */
#       define SET_TIME    4    /* fcn code to CLOCK, set real time */
#       define REAL_TIME   1    /* reply from CLOCK: here is real time */

#define FLOPPY             2    /* floppy disk class */
#       define DISKINT     1    /* interrupt occured */
/* DEV_READ,DEV_WRITE,DEV_IOCTL defined in type.h */

#define SYSTASK            3    /* internal functions */
#       define SYS_XIT        1 /* fcn code for sys_xit(parent, proc) */
#       define SYS_GETSP      2 /* fcn code for sys_sp(proc, &new_sp) */
#       define SYS_SIG        3 /* fcn code for sys_sig(proc,sig) */
#       define SYS_FORK       4 /* fcn code for sys_fork(parent, child) */
#       define SYS_NEWMAP     5 /* fcn code for sys_newmap(procno, map_ptr) */
#       define SYS_COPY       6 /* fcn code for sys_copy(ptr) */
#       define SYS_EXEC       7 /* fcn code for sys_exec(procno, new_sp) */
#       define SYS_TIMES      8 /* fcn code for sys_times(procno, bufptr) */
#       define SYS_ABORT      9 /* fcn code for sys_abort() */


#define MEM                4    /* /dev/ram, /dev/(k)mem and /dev/null class */
/* DEV_READ,DEV_WRITE,DEV_IOCTL defined in type.h */
#       define RAM_DEV     0    /* minor device for /dev/ram */
#       define MEM_DEV     1    /* minor device for /dev/mem */
#       define KMEM_DEV    2    /* minor device for /dev/kmem */
#       define NULL_DEV    3    /* minor device for /dev/null */


#define TTY                5 	
				/* terminal I/O class */
/* DEV_READ,DEV_WRITE,DEV_IOCTL defined in type.h */
#       define TTY_CHAR_INT 1
#	define TTY_CANCEL   6	/* abort previous call */

#define HDD		    6 
/* #       define DISKINT     1 interrupt occured - defined above */
/* DEV_READ,DEV_WRITE,DEV_IOCTL defined in type.h */
#endif /* #ifdef __com_h */
