/*******************************************************************
                          SYS_PUB.H
    			 System Task
 
    Makra pro symbolicke pojmenovani clenu jednotlivych zprav

	Soucast projektu TUOX
	Autori: Jiri Horacek		 
		Alan Kornuta
		David Stupnanek
	Upravil: Petr Grygarek
 *******************************************************************
 
   Podporovane zpravy:

     SYS_COPY    Kopie bloku pameti mezi adresovymi prostory procesu

     SYS_FORK    Informuje kernel o rozstepeni procesu
     SYS_NEWMAP  Nastavi novou pametovou mapu procesu (iniciuje MM)
     SYS_EXEC    Po vymene image nastavi PC na zacatek programu a nastavi SP
     SYS_XIT     Informuje kernel o ukonceni procesu
     SYS_GETSP   Precteni hodnoty registru SP urceneho procesu (pro brk())
     SYS_TIMES   Zjisteni casu spotrebovanych procesem
     SYS_SIG     Zaslani signalu procesu

*/



#define PROC m_u.m_m1.m1i1
#define CHILD m_u.m_m1.m1i1
#define PARENT m_u.m_m1.m1i2

#define PID m_u.m_m1.m1i3
#define NEW_SP m_u.m_m1.m1i3
#define MEM_PTR m_u.m_m1.m1p3

#define SIG_NR m_u.m_m1.m1i2
#define HANDLER m_u.m_m1.m1p1

#define SRC_SEG m_u.m_m5.m5c1
#define DST_SEG m_u.m_m5.m5c2
#define SRC_PROC m_u.m_m5.m5i1
#define DST_PROC m_u.m_m5.m5i2
#define SRC_VIR m_u.m_m5.m5l1
#define DST_VIR m_u.m_m5.m5l2
#define BYTE_CNT m_u.m_m5.m5l3
#ifndef RET_ERROR_CODE
#define RET_ERROR_CODE m_u.m_m2.m2i2
/* melo by tu byt m_m1.m1i2, ale pro kompatibilitu s clock taskem
je to takto. Nesmi se menit rozlozeni m1 vuci m2 */
#endif
#define RET_SP m_u.m_m1.m1i1

/* Struktura pro predavani spotrebovanych casu - zprava SYS_TIMES */
typedef struct {
	real_time user_time;
	real_time sys_time;
	real_time child_user_time;
	real_time child_sys_time;
} time_struct;

